import java.io.File;
import java.util.Scanner;

public class Main {

	public static void main(String[] args) {

		StackLinked<Integer> s = new StackLinked<>();
		s.push(1);
		s.push(2);
		s.print();
		System.out.println(s.isEmpty());
		s.pop();
		s.pop();
		s.pop();
		System.out.println(s.isEmpty());
		System.out.println("-------");
		s.print();
		
	}

}
